KDE 4.7 PyKDE API Reference

- KDE's Python API

# GeoDataLinearRing Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataLineString → Marble.GeoDataGeometry → Marble.GeoDataObject → Marble.GeoNode
Namespace: Marble

## Detailed Description

## Methods

| __init__ (self, Marble.TessellationFlags f=Marble.NoTessellation)
| __init__ (self, Marble.GeoDataGeometry other)
bool | contains (self, Marble.GeoDataCoordinates coordinates)
bool | isClosed (self)
float | length (self, float planetRadius, int offset=0)

## Method Documentation

__init__ | ( | self, |
|  | Marble.TessellationFlags | f=Marble.NoTessellation
| ) |  |  |

__init__ | ( | self, |
|  | Marble.GeoDataGeometry | other
| ) |  |  |

bool contains | ( | self, |
|  | Marble.GeoDataCoordinates | coordinates
| ) |  |  |

bool isClosed | ( |  | self ) |

float length | ( | self, |
|  | float | planetRadius,
|  | int | offset=0
| ) |  |  |